configure: fix dependencies of XvMC and old vdpau mpeg2 decoders